Subject: Re: [RFC/PATCH] mergetool: use resolved conflicts in all the views

From: Felipe Contreras <[email-masked]>
Date: Thu, 17 Dec 2020 20:49:13 -0600

Seth House wrote:
> On Thu, Dec 17, 2020 at 08:05:33PM -0600, Felipe Contreras wrote:
> > > Would you mind switching the autoMerge option to be per-tool rather than
> > > under the main mergetool config section?
> > 
> > As I said; I don't see the point.
> 
> I know you've said that. But I would prefer that, and Junio requested
> that, and other people may prefer that as well. Since it's not too much
> trouble to make the option per-tool with a global fallback, and since
> Junio already provided example code to do that, do you mind adding it
> anyway even though you don't see the point?

It's not about the level of effort; it's about doing what makes sense.

And no person is the sole arbiter of truth, in this list, or anywhere.
People have managed to change Junio's mind.

You said you would provide a list of tools that would be affected. Do you
have the list of tools who would want this flag off regardless of user
preference?

Cheers.

-- 
Felipe Contreras